VkPhysicalDeviceIDProperties Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
uint8_t | deviceUUID [VK_UUID_SIZE]
uint8_t | driverUUID [VK_UUID_SIZE]
uint8_t | deviceLUID [VK_LUID_SIZE]
uint32_t | deviceNodeMask
VkBool32 | deviceLUIDValid

## Detailed Description

Definition at line 4401 of file vulkan_core.h.

## Field Documentation

## deviceLUID

uint8_t VkPhysicalDeviceIDProperties::deviceLUID[VK_LUID_SIZE]

Definition at line 4406 of file vulkan_core.h.

## deviceLUIDValid

VkBool32 VkPhysicalDeviceIDProperties::deviceLUIDValid

Definition at line 4408 of file vulkan_core.h.

## deviceNodeMask

uint32_t VkPhysicalDeviceIDProperties::deviceNodeMask

Definition at line 4407 of file vulkan_core.h.

## deviceUUID

uint8_t VkPhysicalDeviceIDProperties::deviceUUID[VK_UUID_SIZE]

Definition at line 4404 of file vulkan_core.h.

## driverUUID

uint8_t VkPhysicalDeviceIDProperties::driverUUID[VK_UUID_SIZE]

Definition at line 4405 of file vulkan_core.h.

## pNext

void* VkPhysicalDeviceIDProperties::pNext

Definition at line 4403 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceIDProperties::sType

Definition at line 4402 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h